Bug 174284 - system-config-bind is corrupted when tring to launsh
system-config-bind is corrupted when tring to launsh
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-27 05:29 EST by Abdel Ra'ouf Badawi
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 22:08:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Abdel Ra'ouf Badawi 2005-11-27 05:29:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
The first time I tried to run  system-config-bind after a fresh installation of the software using yum, either by Desctop-->System settings-->Server settings-->Domain name system, or from the terminal as root "system-config-bind" 
I get the following error messages:

# system-config-bind
Traceback (most recent call last):
File "/usr/sbin/system-config-bind", line 38, in ?
from BIND import *
File "/usr/share/system-config-bind/BIND.py", line 13, in ?
import Lookup
File "/usr/share/system-config-bind/Lookup.py", line 183, in ?
localhost = Lookup()
File "/usr/share/system-config-bind/Lookup.py", line 154, in __init__
aliases = s.addr.split()
AttributeError: 'tuple' object has no attribute 'split'
[claritas@abed ~]$ system-config-bind
Traceback (most recent call last):
File "/usr/sbin/system-config-bind", line 38, in ?
from BIND import *
File "/usr/share/system-config-bind/BIND.py", line 13, in ?
import Lookup
File "/usr/share/system-config-bind/Lookup.py", line 183, in ?
localhost = Lookup()
File "/usr/share/system-config-bind/Lookup.py", line 154, in __init__
aliases = s.addr.split()
AttributeError: 'tuple' object has no attribute 'split'



Version-Release number of selected component (if applicable):
system-config-bind-4.0.0-31_FC4

How reproducible:
Always

Steps to Reproduce:
1.As root run system-config-bind
2.As a normal user run  system-config-bind and you will be prompted for the root password, after entering it uou will get the same error.
  

Actual Results:  got the previous error

Additional info:
Comment 1 Jason Vas Dias 2005-11-28 20:02:06 EST
Sorry about that - Lookup.py failed when the 'hostname(1)' of the host matched an
IP address and had no A or AAAA record in the DNS or in /etc/hosts .
This is now fixed with system-config-bind-4.0.0-32_FC4,  now submitted to 
FC-4 Updates .


 
Comment 2 Fedora Update System 2005-11-28 21:07:31 EST
From User-Agent: XML-RPC

system-config-bind-4.0.0-32_FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Abdel Ra'ouf Badawi 2005-11-29 06:37:18 EST
it worked fine, Thank you
Comment 4 Fedora Update System 2005-12-19 22:01:55 EST
From User-Agent: XML-RPC

system-config-bind-4.0.0-33 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 5 Bill Nottingham 2006-09-21 22:08:17 EDT
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.

Note You need to log in before you can comment on or make changes to this bug.